SpringConfiguredConfiguration (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.context.annotation.aspectj

## Class SpringConfiguredConfiguration

- java.lang.Object
- - org.springframework.context.annotation.aspectj.SpringConfiguredConfiguration

-     @Configuration
      public class SpringConfiguredConfiguration
      extends Object

  `@Configuration` class that registers an `AnnotationBeanConfigurerAspect` capable of performing dependency injection services for non-Spring managed objects annotated with @`Configurable`.

  This configuration class is automatically imported when using the @`EnableSpringConfigured` annotation. See `@EnableSpringConfigured` Javadoc for complete usage details.

  Since:
    3.1
  Author:
    Chris Beams
  See Also:
    `EnableSpringConfigured`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BEAN_CONFIGURER_ASPECT_BEAN_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringConfiguredConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.beans.factory.aspectj.AnnotationBeanConfigurerAspect` | `beanConfigurerAspect()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BEAN_CONFIGURER_ASPECT_BEAN_NAME

          public static final String BEAN_CONFIGURER_ASPECT_BEAN_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpringConfiguredConfiguration

          public SpringConfiguredConfiguration()

  - ### Method Detail

    - #### beanConfigurerAspect

          @Bean(name="org.springframework.context.config.internalBeanConfigurerAspect")
          @Role(value=2)
          public org.springframework.beans.factory.aspectj.AnnotationBeanConfigurerAspect beanConfigurerAspect()